## qt-material 2.14

=== requirements.txt ===
Jinja2

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#
export SPHINX_APIDOC_OPTIONS=members,no-undoc-members,no-show-inheritance

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
SOURCEDIR     = source
BUILDDIR      = build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)



buildapi:
	rm -f source/_modules/*
	sphinx-apidoc -fMeET -o source/_modules ../qt_material
	jupyter nbconvert --to rst source/notebooks/readme.ipynb
	jupyter nbconvert --to markdown source/notebooks/readme.ipynb --output ../../../README.md
	python fix_readme.py

=== docs/requirements.txt ===
ipython==7.16.3
ipykernel
nbsphinx
pygments>=2.4.1

=== debian/changelog ===
qt-material (2.14-2) unstable; urgency=medium

  * Team upload.
  * Add Build-Depends on python3-setuptools (Closes: #1080783)

 -- Alexandre Detiste <tchet@debian.org>  Sat, 22 Feb 2025 12:26:31 +0100

qt-material (2.14-1) unstable; urgency=medium

  * Initial upload.

 -- Roland Mas <lolando@debian.org>  Sun, 24 Mar 2024 17:05:17 +0100

=== debian/control ===
Source: qt-material
Maintainer: Debian PaN Maintainers <debian-pan-maintainers@alioth-lists.debian.net>
Uploaders:
 Debian Python Team <team+python@tracker.debian.org>,
 Roland Mas <lolando@debian.org>
Section: python
Testsuite: autopkgtest-pkg-python
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 pybuild-plugin-pyproject,
 python3-all,
 python3-jinja2,
 python3-setuptools,
Standards-Version: 4.6.2
Homepage: https://github.com/UN-GCPDS/qt-material/
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/python-team/packages/qt-material.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/qt-material

Package: python3-qt-material
Architecture: any
Depends:
 fonts-roboto-unhinted,
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends}
Description: Material Design-inspired stylesheet for PySide6, PySide2, PyQt5 and PyQt6
 This is another stylesheet for PySide6, PySide2, PyQt5 and PyQt6,
 which looks like Material Design (close enough), with custom dark and
 light themes.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=qt-material

%:
	dh $@ --buildsystem=pybuild

execute_after_dh_auto_install:
	rm -rf debian/python3-qt-material/usr/lib/python*/dist-packages/qt_material/fonts/roboto
	find debian

=== debian/watch ===
version=4
opts="dversionmangle=auto,filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
  https://github.com/UN-GCPDS/qt-material/tags \
  (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
